Skip to navigation

List Models

View as MarkdownOpen in Claude

List Models endpoint with filtering, pagination, and sorting.

Supports filter parameters for various criteria (including peft, custom fields), pagination (page, page_size), sorting, and workspace filtering via query parameter.

Path parameters

workspacestringRequired

Query parameters

sortenumOptionalDefaults to created_at

The field to sort by. To sort in decreasing order, use - in front of the field name.

verbosebooleanOptionalDefaults to false
Whether to include full spec details
pageintegerOptional>=1Defaults to 1
Page number.
page_sizeintegerOptional1-1000Defaults to 100
Page size.
filterobjectOptional

Filter models by name, project, workspace, base_model, adapters, finetuning_type, prompt, lora_enabled, family, model_providers, description, created_at, and updated_at.

Response

Return a list of models
datalist of objects
paginationobjectOptional
Pagination information.
sortstringOptional
The field on which the results are sorted.
filtermap from strings to anyOptional
Filtering information.

Errors

422
Unprocessable Entity Error